全システム正常稼働中

APIドキュメント

標準のSMMパネルAPI v2形式です。既存のリセラーツールもそのまま使えます。

HTTPメソッド
POST
API URL
https://orcasmm.com/api/v2
リクエスト形式
x-www-form-urlencoded
レスポンス形式
JSON
action=services
サービス一覧
パラメータ
keyAPI key
actionservices
レスポンス例
[
  {
    "service": 1,
    "name": "Instagram Followers",
    "type": "Default",
    "category": "Instagram",
    "rate": "0.9000",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true,
    "dripfeed": false
  }
]
action=add
注文を追加
パラメータ
keyAPI key
actionadd
serviceサービスID
linkリンク
quantity数量
runsドリップフィードの実行回数(任意)
intervalドリップフィードの間隔(分・任意)
commentsコメント(1行に1件・コメント系サービス用)
レスポンス例
{
  "order": 23501
}
action=status
注文ステータス
パラメータ
keyAPI key
actionstatus
order注文ID
orders注文IDをカンマ区切りで指定(最大100件)
レスポンス例
{
  "charge": "0.2782",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}
action=refill
リフィルを作成
パラメータ
keyAPI key
actionrefill
order注文ID
orders注文IDをカンマ区切りで指定(最大20件)
レスポンス例
{
  "refill": 1
}
action=refill_status
リフィルのステータス
パラメータ
keyAPI key
actionrefill_status
refillリフィルID
refillsリフィルIDをカンマ区切りで指定(最大20件)
レスポンス例
{
  "status": "Completed"
}
action=cancel
注文をキャンセル
パラメータ
keyAPI key
actioncancel
orders注文IDをカンマ区切りで指定(最大20件)
レスポンス例
[
  { "order": 9, "cancel": 1 },
  { "order": 2, "cancel": { "error": "Incorrect order ID" } }
]
action=balance
残高
パラメータ
keyAPI key
actionbalance
レスポンス例
{
  "balance": "100.8429",
  "currency": "USD"
}
リクエスト例(curl)
curl -X POST https://orcasmm.com/api/v2 \
  -d key=YOUR_API_KEY \
  -d action=add \
  -d service=1 \
  -d link=https://instagram.com/username \
  -d quantity=1000